Bug 201907 - devel/py-asn1: Update to 0.1.8
Summary: devel/py-asn1: Update to 0.1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-07-26 23:21 UTC by John W. O'Brien
Modified: 2015-07-28 12:14 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mhjacks)


Attachments
devel/py-asn1: Update to 0.1.8 (805 bytes, patch)
2015-07-26 23:21 UTC, John W. O'Brien
koobs: maintainer-approval? (mhjacks)
Details | Diff
poudriere testport log for py27-asn1-0.1.8,1 (25.71 KB, text/plain)
2015-07-26 23:22 UTC, John W. O'Brien
no flags Details
poudriere testport log for py34-asn1-0.1.8,1 (25.98 KB, text/plain)
2015-07-26 23:22 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2015-07-26 23:21:14 UTC
Created attachment 159282 [details]
devel/py-asn1: Update to 0.1.8

Changelog
=========

    *   Update to 0.1.8

QA
==

    *   portlint

    % portlint -AC devel/py-asn1
    WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
    WARN: Makefile: new ports should not set PORTEPOCH.
    0 fatal errors and 2 warnings found.

    *   poudriere

    See attached terminal logs from testport runs for python2.7 and python3.4.
Comment 1 John W. O'Brien 2015-07-26 23:22:02 UTC
Created attachment 159283 [details]
poudriere testport log for py27-asn1-0.1.8,1
Comment 2 John W. O'Brien 2015-07-26 23:22:21 UTC
Created attachment 159284 [details]
poudriere testport log for py34-asn1-0.1.8,1
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-27 04:00:15 UTC
Thanks for your submission John :)

For future issues, please include all QA results as attachments (keeps comments clean)

Additionally, this port could do with a rename to bring it into line with regards to matching upstream (PyPI) naming: py-pyasn1

We can either:

 * Include the changes in this patch
 * Create a new issue for those changes

The change will need to include:

 * devel/Makefile changes
 * Creation of a MOVED entry
 * QA results for MOVED entry (Tools/scripts/MOVEDlint.awk)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-27 04:01:25 UTC
The change will also need:

 * A sweep of the tree, updating *_DEPENDS for dependent ports to the new name (with associated PORTREVISION bump)
Comment 5 John W. O'Brien 2015-07-27 10:25:42 UTC
Renaming the port should be a separate issue. You know, to keep this bug "clean." :-P
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-27 10:53:09 UTC
Please feel free to do so :)
Comment 7 commit-hook freebsd_committer 2015-07-27 14:09:59 UTC
A commit references this bug:

Author: rm
Date: Mon Jul 27 14:09:36 UTC 2015
New revision: 392980
URL: https://svnweb.freebsd.org/changeset/ports/392980

Log:
  devel/py-asn1: update to 0.1.8

  - update to 0.1.8

  While here add LICENSE_FILE and NO_ARCH. Sort USE_PYTHON.

  PR:		201907
  Submitted by:	John W. O'Brien <john@saltant.com> (maintainer)
  Reviewed by:	koobs

Changes:
  head/devel/py-asn1/Makefile
  head/devel/py-asn1/distinfo
Comment 8 Ruslan Makhmatkhanov freebsd_committer 2015-07-27 14:11:21 UTC
Committed, thank you!
Comment 9 John W. O'Brien 2015-07-27 14:12:53 UTC
> Submitted by:	John W. O'Brien <john@saltant.com> (maintainer)

rm: I'm not the maintainer for this port and hope that I haven't misrepresented myself as such.
Comment 10 Ruslan Makhmatkhanov freebsd_committer 2015-07-27 14:22:44 UTC
Oops, my fault, sorry. 

Martin, I hope you don't mind this update.
Comment 11 mhjacks 2015-07-28 12:14:22 UTC
(In reply to Ruslan Makhmatkhanov from comment #10)

I don't object at all.  I'm glad to see these ports are still useful!